//*****************************************************************************
//
// bdc-ui.h - Prototypes for the brushed DC motor user interface.
//
// Copyright (c) 2008 Luminary Micro, Inc.  All rights reserved.
// Software License Agreement
// 
// Luminary Micro, Inc. (LMI) is supplying this software for use solely and
// exclusively on LMI's microcontroller products.
// 
// The software is owned by LMI and/or its suppliers, and is protected under
// applicable copyright laws.  All rights are reserved.  You may not combine
// this software with "viral" open-source software in order to form a larger
// program.  Any use in violation of the foregoing restrictions may subject
// the user to criminal sanctions under applicable laws, as well as to civil
// liability for the breach of the terms and conditions of this license.
// 
// THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
// OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
// LMI SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
// CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
// 
// This is part of revision 3618 of the RDK-BDC Firmware Package.
//
//*****************************************************************************

#ifndef __BDC_UI_H__
#define __BDC_UI_H__

//*****************************************************************************
//
// The bit positions of the flags in g_ulFlags.
//
//*****************************************************************************
#define FLAG_TICK               0
#define FLAG_UP_PRESSED         1
#define FLAG_DOWN_PRESSED       2
#define FLAG_LEFT_PRESSED       3
#define FLAG_RIGHT_PRESSED      4
#define FLAG_SELECT_PRESSED     5
#define FLAG_SERIAL_BOOTLOADER  6

//*****************************************************************************
//
// Some common "colors" used in the user interface.
//
//*****************************************************************************
#define ClrNotPresent           0x00222222
#define ClrSelected             0x00666666

//*****************************************************************************
//
// Prototypes.
//
//*****************************************************************************
extern unsigned long g_ulFlags;
extern void DisplayFlush(void);

#endif // __BDC_UI_H__
