//*****************************************************************************
//
// buttons.h - Prototypes for the on-board push button handling code.
//
// Copyright (c) 2008 Luminary Micro, Inc.  All rights reserved.
// Software License Agreement
// 
// Luminary Micro, Inc. (LMI) is supplying this software for use solely and
// exclusively on LMI's microcontroller products.
// 
// The software is owned by LMI and/or its suppliers, and is protected under
// applicable copyright laws.  All rights are reserved.  You may not combine
// this software with "viral" open-source software in order to form a larger
// program.  Any use in violation of the foregoing restrictions may subject
// the user to criminal sanctions under applicable laws, as well as to civil
// liability for the breach of the terms and conditions of this license.
// 
// THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
// OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
// LMI SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
// CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
// 
// This is part of revision 3618 of the RDK-BDC Firmware Package.
//
//*****************************************************************************

#ifndef __BUTTONS_H__
#define __BUTTONS_H__

//*****************************************************************************
//
// The bit positions of the push buttons in the value returned by
// ButtonsTick().
//
//*****************************************************************************
#define BUTTON_UP               0x01
#define BUTTON_DOWN             0x02
#define BUTTON_LEFT             0x04
#define BUTTON_RIGHT            0x08
#define BUTTON_SELECT           0x10

//*****************************************************************************
//
// Prototypes for the button driver.
//
//*****************************************************************************
extern void ButtonsInit(void);
extern unsigned char ButtonsTick(void);
extern void ButtonsAutoRepeatSet(unsigned char ucButton,
                                 unsigned short usDelay,
                                 unsigned short usDelay1,
                                 unsigned char ucCount1,
                                 unsigned short usDelay2,
                                 unsigned char ucCount2,
                                 unsigned short usDelay3);

#endif // __BUTTONS_H__
