//*****************************************************************************
//
// splash.c - Bitmap image for the splash screen.
//
// Copyright (c) 2008 Luminary Micro, Inc.  All rights reserved.
// Software License Agreement
// 
// Luminary Micro, Inc. (LMI) is supplying this software for use solely and
// exclusively on LMI's microcontroller products.
// 
// The software is owned by LMI and/or its suppliers, and is protected under
// applicable copyright laws.  All rights are reserved.  You may not combine
// this software with "viral" open-source software in order to form a larger
// program.  Any use in violation of the foregoing restrictions may subject
// the user to criminal sanctions under applicable laws, as well as to civil
// liability for the breach of the terms and conditions of this license.
// 
// THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
// OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
// LMI SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
// CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
// 
// This is part of revision 3618 of the RDK-BDC Firmware Package.
//
//*****************************************************************************

#include "../../../grlib/grlib.h"
#include "splash.h"

//*****************************************************************************
//
// A 4 bit per pixel image used for the splash screen and the "About" panel.
//
//*****************************************************************************
const unsigned char g_pucSplashImage[] =
{
    IMAGE_FMT_4BPP_COMP,
    128, 0,
    55, 0,

    15,
    0x00, 0x00, 0x00,
    0x11, 0x11, 0x11,
    0x22, 0x22, 0x22,
    0x33, 0x33, 0x33,
    0x44, 0x44, 0x44,
    0x55, 0x55, 0x55,
    0x66, 0x66, 0x66,
    0x77, 0x77, 0x77,
    0x88, 0x88, 0x88,
    0x99, 0x99, 0x99,
    0xaa, 0xaa, 0xaa,
    0xbb, 0xbb, 0xbb,
    0xcc, 0xcc, 0xcc,
    0xdd, 0xdd, 0xdd,
    0xee, 0xee, 0xee,
    0xff, 0xff, 0xff,

    0xff, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0xff, 0x07, 0x07,
    0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0xff, 0x07, 0x07, 0x07, 0x07, 0x07,
    0x07, 0x07, 0x07, 0xff, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07,
    0xf1, 0x07, 0x07, 0x07, 0x06, 0x16, 0x86, 0x30, 0x07, 0xf8, 0x07, 0x77,
    0x2f, 0x07, 0x05, 0x15, 0x87, 0x40, 0x87, 0x03, 0x02, 0xbb, 0xa8, 0x74,
    0x07, 0x07, 0x77, 0xe1, 0x2f, 0x07, 0x04, 0x01, 0xac, 0xa9, 0x75, 0x03,
    0x07, 0x0a, 0xdb, 0x88, 0x76, 0x20, 0x07, 0x07, 0x77, 0xe0, 0x2f, 0x07,
    0x03, 0x07, 0xdc, 0x97, 0x76, 0x30, 0x87, 0x02, 0x1e, 0xd6, 0x02, 0x66,
    0xbb, 0x07, 0x9f, 0xe0, 0x57, 0x0f, 0x07, 0x00, 0x0c, 0xd9, 0x02, 0x66,
    0x41, 0x40, 0x02, 0x2e, 0xd4, 0x24, 0x66, 0x30, 0x07, 0xf8, 0x07, 0x77,
    0x2f, 0x07, 0x03, 0x0d, 0xd6, 0x24, 0x20, 0x66, 0x40, 0x02, 0x1e, 0xd8,
    0x46, 0x76, 0x30, 0xfc, 0x07, 0x07, 0x77, 0x2f, 0x07, 0x03, 0x0b, 0xda,
    0x10, 0x45, 0x76, 0x40, 0x02, 0x09, 0xdb, 0xa8, 0x76, 0x7e, 0x10, 0x07,
    0x07, 0x77, 0x2f, 0x07, 0x03, 0x06, 0x08, 0xdc, 0xa9, 0x76, 0x20, 0x02,
    0x01, 0xab, 0xa8, 0x7e, 0x73, 0x07, 0x07, 0x77, 0x2f, 0x07, 0x05, 0x9c,
    0x23, 0xa9, 0x74, 0x04, 0x05, 0x65, 0x20, 0x07, 0x07, 0xf1, 0x77, 0x2f,
    0x07, 0x05, 0x04, 0x65, 0x20, 0x07, 0x9f, 0x03, 0x17, 0x61, 0x87, 0x3f,
    0x77, 0x2f, 0x07, 0xcf, 0x07, 0x06, 0x37, 0x72, 0x07, 0x07, 0x77, 0x2f,
    0xe4, 0x07, 0x07, 0x06, 0x05, 0x40, 0x02, 0x01, 0x11, 0x18, 0x11, 0x11,
    0x10, 0x02, 0xc1, 0x11, 0x10, 0x01, 0x9f, 0xab, 0x00, 0x11, 0xd4, 0x29,
    0x32, 0x5d, 0x33, 0xc0, 0xb7, 0x6d, 0x36, 0x77, 0x77, 0x77, 0x77, 0x72,
    0x08, 0x00, 0x00, 0x01, 0x57, 0xba, 0x60, 0x07, 0x74, 0x81, 0x03, 0x77,
    0x30, 0x00, 0x00, 0x14, 0x67, 0x2a, 0x87, 0x89, 0x25, 0x77, 0x77, 0x51,
    0x53, 0x2b, 0xb7, 0x10, 0x00, 0x16, 0x63, 0xe1, 0x77, 0x77, 0x77, 0x77,
    0x04, 0x77, 0x72, 0x00, 0x00, 0x47, 0xbb, 0x60, 0x07, 0x42, 0x74, 0x03,
    0x77, 0x30, 0x00, 0x02, 0x33, 0x77, 0x17, 0x00, 0x00, 0x04, 0x31, 0x76,
    0x53, 0x2b, 0xb7, 0x00, 0x00, 0x17, 0x73, 0x00, 0x01, 0x67, 0x77, 0x54,
    0x00, 0x44, 0x44, 0x57, 0x72, 0x00, 0x04, 0x77, 0x76, 0x01, 0x44, 0x44,
    0x44, 0x67, 0x60, 0x07, 0x74, 0x03, 0x00, 0x77, 0x30, 0x00, 0x27, 0x77,
    0x65, 0x44, 0x44, 0x00, 0x46, 0x77, 0x00, 0x00, 0x57, 0x77, 0x64, 0x56,
    0x70, 0x71, 0x53, 0x2b, 0xb7, 0x00, 0x17, 0x73, 0x00, 0x10, 0x06, 0x77,
    0x51, 0x31, 0x27, 0x72, 0x00, 0x27, 0x21, 0x77, 0x20, 0x01, 0x57, 0x60,
    0x07, 0x74, 0x03, 0x04, 0x77, 0x30, 0x01, 0x77, 0x73, 0x31, 0x03, 0x77,
    0x87, 0xe9, 0x62, 0x00, 0x00, 0x10, 0x53, 0x2b, 0xb7, 0x02, 0x00, 0x17,
    0x73, 0x00, 0x37, 0x75, 0x3a, 0x27, 0x08, 0x72, 0x00, 0x67, 0x72, 0x02,
    0x57, 0x60, 0x07, 0x41, 0x74, 0x03, 0x77, 0x30, 0x04, 0x77, 0x30, 0x29,
    0x03, 0x03, 0x77, 0x00, 0x07, 0x76, 0x10, 0x6b, 0x43, 0xc1, 0xb7, 0x6a,
    0x17, 0x73, 0x00, 0x57, 0x60, 0x22, 0x04, 0x27, 0x72, 0x01, 0x77, 0x40,
    0x02, 0x57, 0x60, 0x21, 0x07, 0x74, 0x03, 0x77, 0x30, 0x07, 0x75, 0x32,
    0x07, 0x03, 0x77, 0x00, 0x37, 0x72, 0x73, 0x4b, 0xb7, 0x82, 0x6b, 0x17,
    0x73, 0x00, 0x77, 0x40, 0x1a, 0x27, 0x08, 0x72, 0x03, 0x77, 0x10, 0x02,
    0x57, 0x60, 0x07, 0x42, 0x74, 0x03, 0x77, 0x30, 0x27, 0x73, 0x32, 0x03,
    0x0f, 0x77, 0x00, 0x57, 0x70, 0x73, 0x4b, 0xb7, 0x6b, 0x04, 0x17, 0x73,
    0x01, 0x77, 0x30, 0x1a, 0x27, 0x72, 0x21, 0x04, 0x77, 0x03, 0x57, 0x60,
    0x07, 0x74, 0x03, 0x08, 0x77, 0x30, 0x37, 0x71, 0x32, 0x03, 0x77, 0x00,
    0x3c, 0x67, 0x50, 0x2b, 0x03, 0xb7, 0x6b, 0x17, 0x72, 0x10, 0x01, 0x77,
    0x30, 0x1a, 0x27, 0x72, 0x04, 0x77, 0x86, 0x03, 0x57, 0x60, 0x07, 0x74,
    0x02, 0x41, 0x37, 0x67, 0x71, 0x32, 0x41, 0x67, 0x50, 0x2b, 0x03, 0xb7,
    0x82, 0x6b, 0x27, 0x72, 0x00, 0x77, 0x40, 0x1a, 0x37, 0x08, 0x72, 0x03,
    0x77, 0x10, 0x02, 0x67, 0x60, 0x06, 0x46, 0x75, 0x02, 0x02, 0x77, 0x20,
    0x19, 0x29, 0x05, 0x0f, 0x77, 0x00, 0x67, 0x50, 0x32, 0x12, 0xc6, 0x86,
    0x04, 0x57, 0x70, 0x00, 0x67, 0x60, 0xbb, 0x72, 0x02, 0x20, 0x77, 0x30,
    0x01, 0x01, 0x77, 0x60, 0x05, 0x77, 0x82, 0x02, 0x04, 0x77, 0x10, 0x17,
    0x74, 0x32, 0x07, 0x0f, 0x77, 0x00, 0x67, 0x50, 0x72, 0x52, 0xc6, 0x85,
    0x02, 0x02, 0x77, 0x50, 0x00, 0x47, 0x73, 0xbb, 0x72, 0x10, 0x00, 0x67,
    0x61, 0x01, 0x05, 0x77, 0x60, 0x02, 0x25, 0x77, 0x40, 0x01, 0x17, 0x76,
    0xa1, 0x10, 0x29, 0x07, 0x47, 0x77, 0x00, 0x67, 0x50, 0x31, 0x19, 0xd4,
    0x80, 0xa7, 0x00, 0x00, 0x16, 0x77, 0x10, 0x00, 0x17, 0x00, 0x77, 0x30,
    0x00, 0x00, 0x27, 0x77, 0x72, 0x00, 0x00, 0x37, 0x76, 0x10, 0x00, 0x00,
    0x57, 0x77, 0x60, 0x00, 0x00, 0x67, 0x74, 0x00, 0x00, 0x01, 0x67, 0x72,
    0x00, 0x00, 0x02, 0x77, 0x61, 0x00, 0x00, 0x03, 0x77, 0x01, 0x77, 0x00,
    0x67, 0x50, 0x00, 0x00, 0x00, 0xe9, 0xc0, 0xd4, 0xa7, 0x00, 0x34, 0x77,
    0x74, 0x00, 0x00, 0x00, 0x02, 0x77, 0x75, 0x32, 0x35, 0x77, 0x77, 0x72,
    0x00, 0x00, 0x05, 0x77, 0x74, 0x32, 0x46, 0x77, 0x77, 0x00, 0x60, 0x00,
    0x17, 0x77, 0x63, 0x23, 0x47, 0x77, 0x00, 0x40, 0x00, 0x00, 0x47, 0x77,
    0x53, 0x23, 0x67, 0x00, 0x77, 0x77, 0x00, 0x67, 0x50, 0x00, 0x00, 0x00,
    0xe1, 0xe9, 0xd4, 0xa7, 0x01, 0x77, 0x77, 0x40, 0x39, 0x00, 0x37, 0x77,
    0x77, 0x77, 0x77, 0x57, 0x72, 0x00, 0x20, 0x00, 0x57, 0xb9, 0x76, 0x67,
    0x60, 0x00, 0x02, 0xa8, 0x7a, 0x75, 0x31, 0x04, 0xbb, 0x77, 0x00, 0x67,
    0x78, 0x50, 0x99, 0x81, 0xd4, 0xa7, 0x01, 0x77, 0x62, 0x80, 0xcb, 0x57,
    0x77, 0x77, 0x62, 0x27, 0x72, 0x00, 0x00, 0x00, 0x03, 0x67, 0x77, 0x77,
    0x40, 0x77, 0x50, 0x01, 0x00, 0x00, 0x15, 0x77, 0x77, 0x76, 0x30, 0x2a,
    0x00, 0x26, 0x77, 0x77, 0x75, 0x13, 0x77, 0x00, 0x67, 0xf2, 0x61, 0x8a,
    0xd4, 0xa7, 0x00, 0x31, 0x4c, 0x01, 0x08, 0x23, 0x31, 0x00, 0x13, 0xa2,
    0x01, 0x23, 0x20, 0x11, 0x03, 0x77, 0x30, 0x01, 0x12, 0x33, 0x10, 0x2c,
    0x00, 0x13, 0x32, 0x10, 0x01, 0x33, 0x00, 0x33, 0x20, 0xf8, 0x94, 0x64,
    0xa7, 0x5f, 0x17, 0x00, 0x00, 0x16, 0x7f, 0x77, 0x07, 0x07, 0x77, 0x2f,
    0x07, 0x07, 0x05, 0x1f, 0x02, 0x67, 0x73, 0x07, 0x07, 0x77, 0x2f, 0x07,
    0xc0, 0x07, 0x04, 0x02, 0x67, 0x77, 0x50, 0x01, 0x00, 0x10, 0x10, 0x10,
    0x01, 0xda, 0x10, 0x01, 0x00, 0x11, 0xe7, 0xd1, 0x01, 0xb9, 0x00, 0x11,
    0x02, 0xe2, 0xc6, 0xc0, 0x87, 0x3f, 0x00, 0x00, 0x02, 0x77, 0x74, 0x00,
    0x00, 0x2b, 0x00, 0x94, 0x94, 0x5e, 0x4f, 0x45, 0x81, 0x00, 0xf5, 0xc0,
    0x2e, 0x60, 0xb9, 0xd2, 0x88, 0xc0, 0x00, 0x53, 0x27, 0x22, 0x43, 0x50,
    0x63, 0x44, 0x45, 0x07, 0x38, 0x10, 0x00, 0x00, 0x00, 0xe9, 0xd4, 0xa7,
    0xc0, 0x5f, 0x12, 0x02, 0x65, 0x20, 0x00, 0x2b, 0x00, 0x00, 0x95, 0xa4,
    0x5b, 0xdb, 0x45, 0x81, 0xcb, 0xd0, 0x00, 0x8b, 0xc0, 0xba, 0xe1, 0x1d,
    0x50, 0x45, 0x54, 0x01, 0x22, 0x50, 0x20, 0x75, 0x35, 0x02, 0x34, 0x01,
    0xf8, 0xe9, 0xd4, 0xa7, 0x5f, 0x17, 0x29, 0x92, 0x3a, 0x00, 0x91, 0x35,
    0x85, 0x23, 0x50, 0x82, 0x90, 0x83, 0x00, 0x81, 0x72, 0x71, 0x07, 0x10,
    0x32, 0x33, 0x12, 0x07, 0x25, 0x40, 0x30, 0x31, 0x55, 0x06, 0xc6, 0x87,
    0xfc, 0x3f, 0x07, 0x07, 0x07, 0x07, 0x05, 0x02, 0x43, 0x7e, 0x10, 0x07,
    0x07, 0x77, 0x2f, 0x07, 0x05, 0x02, 0x23, 0x43, 0x10, 0x04, 0x8b, 0xa8,
    0x72, 0x07, 0x07, 0xf1, 0x77, 0x2f, 0x07, 0x05, 0x6b, 0xa9, 0x73, 0x03,
    0x07, 0x07, 0xdb, 0xa8, 0x75, 0x10, 0x07, 0x07, 0x77, 0xe0, 0x2f, 0x07,
    0x03, 0x04, 0xdc, 0xa9, 0x76, 0x20, 0x83, 0x02, 0x0d, 0xd9, 0x24, 0x76,
    0x30, 0x07, 0x07, 0xf0, 0x77, 0x2f, 0x07, 0x03, 0x0b, 0xda, 0x33, 0x76,
    0x41, 0x40, 0x02, 0x2e, 0xd4, 0x13, 0x66, 0x30, 0x07, 0xf8, 0x07, 0x77,
    0x2f, 0x07, 0x03, 0x0d, 0xd6, 0x13, 0x20, 0x66, 0x40, 0x02, 0x1e, 0xd6,
    0x35, 0x76, 0x30, 0xfc, 0x07, 0x07, 0x77, 0x2f, 0x07, 0x03, 0x0c, 0xd8,
    0x10, 0x35, 0x66, 0x40, 0x02, 0x0b, 0xdb, 0x88, 0x76, 0x7e, 0x20, 0x07,
    0x07, 0x77, 0x2f, 0x07, 0x03, 0x08, 0x08, 0xdc, 0x88, 0x76, 0x30, 0x02,
    0x03, 0xcb, 0xa8, 0x7e, 0x75, 0x07, 0x07, 0x77, 0x2f, 0x07, 0x04, 0x01,
    0x08, 0xcc, 0xa9, 0x75, 0x10, 0x03, 0x39, 0xa8, 0x40, 0xfc, 0x07, 0x07,
    0x77, 0x2f, 0x07, 0x05, 0x28, 0xa8, 0x7f, 0x51, 0x07, 0x07, 0x77, 0x2f,
    0x07, 0x07, 0x07, 0xff, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07,
    0xff, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0xff, 0x07, 0x07,
    0x07, 0x07, 0x07, 0x07, 0x07, 0x07, 0xf8, 0x07, 0x07, 0x07, 0x07, 0x07,
};
